Debian Bug report logs - #99550
libncurses5-dev: Missing symlinks for some man pages

Package: libncurses5-dev; Maintainer for libncurses5-dev is Craig Small <csmall@debian.org>; Source for libncurses5-dev is src:ncurses.

Reported by: Colin Watson <cjwatson@debian.org>

Date: Fri, 1 Jun 2001 18:22:11 UTC

Severity: normal

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#99550; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: maintonly@bugs.debian.org
Subject: libncurses5-dev: Missing symlinks for some man pages
Date: Fri, 01 Jun 2001 14:03:29 -0400
Package: libncurses5-dev
Severity: normal

Hi,

An upcoming release of Debian policy, version 3.5.5.0, contains an amendment
which clarifies the way man pages need to be installed.

Until now, packages could install /usr/share/man/man1/foo.1.gz with 'foo,
bar \- programs to do something' in the NAME section and have no
corresponding symbolic link from bar.1.gz (policy suggested using a symbolic
link, but wasn't clear that it's required), and our man program happened to
magically figure it out for itself and display the right man page when you
typed 'man bar'. However, guaranteeing that this would work even when you've
recently installed some new packages has a serious performance impact on
man, as it frequently has to go and look through the filesystem to update
its database.

Before woody's base system is frozen, I intend to remove this "feature" from
man-db, so that its performance is consistent and acceptable for a
reasonable number of people. It isn't a standard feature even among the
various man page browsers in Debian, let alone in other Linux distributions,
so there should be no compatibility problems. However, your package seems to
rely on it, so this bug is being filed to let you know that the way some of
your man pages are installed needs to be improved in order to work properly
in woody. All you need to do, if you already have, say, foo(1) and expect
bar(1) to work as well, is install a symbolic link to foo.1.gz as bar.1.gz
(.so links and hard links are also OK, though symlinks are recommended).

Here's a list of man pages and the names that don't appear anywhere in the
filesystem:

  usr/share/man/man3/default_colors.3ncurses.gz: default_colors:use_default_colors
  usr/share/man/man3/extensions.3ncurses.gz: curs_extend:curses_version

If the list looks odd, please check man(7) to see if the man page is
formatted properly. This output was generated by way of mandb, so if it's
confused then users will be too; if it turns out that it's done the wrong
thing, please reassign this bug to man-db so that I can fix it. I might not
have caught symlinks that are created in the postinst (say, using
alternatives); if that's the case, please close this bug.

Please see bug #94995 and policy 3.5.5 section 13.1 for more information,
and feel free to contact me if you need help.

Thanks,

-- 
Colin Watson, via a script



Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#99550; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 99550-maintonly@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Colin Watson <cjwatson@debian.org>, 99550-maintonly@bugs.debian.org
Subject: Re: Bug#99550: libncurses5-dev: Missing symlinks for some man pages
Date: Fri, 1 Jun 2001 14:37:17 -0400
On Fri, Jun 01, 2001 at 02:03:29PM -0400, Colin Watson wrote:
> Package: libncurses5-dev
> Severity: normal
> 
> Hi,
> 
> An upcoming release of Debian policy, version 3.5.5.0, contains an amendment
> which clarifies the way man pages need to be installed.
> 
> Until now, packages could install /usr/share/man/man1/foo.1.gz with 'foo,
> bar \- programs to do something' in the NAME section and have no
> corresponding symbolic link from bar.1.gz (policy suggested using a symbolic
> link, but wasn't clear that it's required), and our man program happened to
> magically figure it out for itself and display the right man page when you
> typed 'man bar'. However, guaranteeing that this would work even when you've
> recently installed some new packages has a serious performance impact on
> man, as it frequently has to go and look through the filesystem to update
> its database.

that's a feature of some manpage-indexing programs (which seems to be
lacking on Linux).  I added a configure option in 5.1/5.2 to generate
the links, so if your distribution is up-to-date, ncurses isn't affected.


-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#99550; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 99550-maintonly@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Colin Watson <cjwatson@debian.org>, 99550-maintonly@bugs.debian.org
Subject: Re: Bug#99550: libncurses5-dev: Missing symlinks for some man pages
Date: Fri, 1 Jun 2001 11:48:23 -0700
On Fri, Jun 01, 2001 at 02:03:29PM -0400, Colin Watson wrote:
> Here's a list of man pages and the names that don't appear anywhere in the
> filesystem:
> 
>   usr/share/man/man3/default_colors.3ncurses.gz: default_colors:use_default_colors
>   usr/share/man/man3/extensions.3ncurses.gz: curs_extend:curses_version

I don't really think these are in error, though I'd appreciate your
opinion.  The man page was traditionally called curs_extend, and
describes curses_version; both curs_extend and curses_version are
linked to it.  Likewise for the other.

-- 
Daniel Jacobowitz                           Debian GNU/Linux Developer
Monta Vista Software                              Debian Security Team



Information forwarded to Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#99550; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 99550-maintonly@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: 99550-maintonly@bugs.debian.org
Subject: Re: Bug#99550: libncurses5-dev: Missing symlinks for some man pages
Date: Fri, 1 Jun 2001 20:04:15 +0100
On Fri, 01 Jun 2001 at 14:37:17 -0400, Thomas Dickey wrote:
> On Fri, Jun 01, 2001 at 02:03:29PM -0400, Colin Watson wrote:
> > Until now, packages could install /usr/share/man/man1/foo.1.gz with 'foo,
> > bar \- programs to do something' in the NAME section and have no
> > corresponding symbolic link from bar.1.gz (policy suggested using a symbolic
> > link, but wasn't clear that it's required), and our man program happened to
> > magically figure it out for itself and display the right man page when you
> > typed 'man bar'. However, guaranteeing that this would work even when you've
> > recently installed some new packages has a serious performance impact on
> > man, as it frequently has to go and look through the filesystem to update
> > its database.
> 
> that's a feature of some manpage-indexing programs (which seems to be
> lacking on Linux).  I added a configure option in 5.1/5.2 to generate
> the links, so if your distribution is up-to-date, ncurses isn't affected.

In the case of ncurses it seems to be due to a disagreement between
man-db and two of ncurses' man pages (default_colors(3ncurses) and
extensions(3ncurses)) about how the NAME section should be formatted:

  \fBdefault_colors\fR:
  \fBuse_default_colors\fR,
  \fBassume_default_colors\fR \- use terminal's default colors

  \fBcurs_extend\fR:
  \fBcurses_version\fP,
  \fBuse_extended_names\fP \- miscellaneous curses extensions

man-db doesn't like the colon, and dumps extra references for
default_colors:use_default_colors and curs_extend:curses_version
respectively into its database. Do other indexers treat the colon like a
comma? At least the pile of awk in Andries Brouwer's makewhatis doesn't
seem to do so.

If there are precedents for indexers doing this, then go ahead and
reassign this to man-db and I'll implement it. I've seen this form in a
few other man pages too.

Thanks,

-- 
Colin Watson                                     [cjw44@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#99550; Package libncurses5-dev. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #25 received at 99550@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 99550@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=99550
Date: Fri, 30 Jan 2004 20:58:16 -0500
>                        Debian Bug report logs - #99550
>             libncurses5-dev: Missing symlinks for some man pages

this should be closed - I fixed it long ago.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 99550-done@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@his.com>, 99550-done@bugs.debian.org
Subject: Re: Bug#99550: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=99550
Date: Fri, 6 Feb 2004 23:09:25 -0500
On Fri, Jan 30, 2004 at 08:58:16PM -0500, Thomas Dickey wrote:
> >                        Debian Bug report logs - #99550
> >             libncurses5-dev: Missing symlinks for some man pages
> 
> this should be closed - I fixed it long ago.

Yup, and I remember the fix entering Debian, too.

-- 
Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:40:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.